<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.13" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="structcy__stc__ble__bmsc__config__t" kind="struct" language="C++" prot="public">
    <compoundname>cy_stc_ble_bmsc_config_t</compoundname>
    <includes local="no">cy_ble_bms.h</includes>
      <sectiondef kind="public-attrib">
      <memberdef id="structcy__stc__ble__bmsc__config__t_1af0e983ce248cee392ef76c036fb82041" kind="variable" mutable="no" prot="public" static="no">
        <type><ref kindref="compound" refid="structcy__stc__ble__bmsc__t">cy_stc_ble_bmsc_t</ref> *</type>
        <definition>cy_stc_ble_bmsc_t* cy_stc_ble_bmsc_config_t::attrInfo</definition>
        <argsstring />
        <name>attrInfo</name>
        <briefdescription>
<para>Structure with Discovered Attributes Information. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_bms.h" bodystart="142" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_bms.h" line="142" />
      </memberdef>
      <memberdef id="structcy__stc__ble__bmsc__config__t_1af53666ee12b8c9bb39148ccb2ccc53f1" kind="variable" mutable="no" prot="public" static="no">
        <type>uint8_t</type>
        <definition>uint8_t cy_stc_ble_bmsc_config_t::serviceDiscIdx</definition>
        <argsstring />
        <name>serviceDiscIdx</name>
        <briefdescription>
<para>The Discovery Service index. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_bms.h" bodystart="145" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_bms.h" line="145" />
      </memberdef>
      </sectiondef>
    <briefdescription>
<para>Service Configuration structure (client) </para>    </briefdescription>
    <detaileddescription>
    </detaileddescription>
    <collaborationgraph>
      <node id="198">
        <label>cy_stc_ble_bmsc_config_t</label>
        <link refid="structcy__stc__ble__bmsc__config__t" />
        <childnode refid="199" relation="usage">
          <edgelabel>attrInfo</edgelabel>
        </childnode>
      </node>
      <node id="199">
        <label>cy_stc_ble_bmsc_t</label>
        <link refid="structcy__stc__ble__bmsc__t" />
        <childnode refid="200" relation="usage">
          <edgelabel>charInfo</edgelabel>
        </childnode>
      </node>
      <node id="200">
        <label>cy_stc_ble_bmsc_char_t</label>
        <link refid="structcy__stc__ble__bmsc__char__t" />
      </node>
    </collaborationgraph>
    <location bodyend="147" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_bms.h" bodystart="139" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_bms.h" line="140" />
    <listofallmembers>
      <member prot="public" refid="structcy__stc__ble__bmsc__config__t_1af0e983ce248cee392ef76c036fb82041" virt="non-virtual"><scope>cy_stc_ble_bmsc_config_t</scope><name>attrInfo</name></member>
      <member prot="public" refid="structcy__stc__ble__bmsc__config__t_1af53666ee12b8c9bb39148ccb2ccc53f1" virt="non-virtual"><scope>cy_stc_ble_bmsc_config_t</scope><name>serviceDiscIdx</name></member>
    </listofallmembers>
  </compounddef>
</doxygen>